Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.testing.execution
Class AbstractTestFrameworkDetector<T extends TestClassVisitor>

    java.lang.Object
      org.gradle.api.testing.execution.AbstractTestFrameworkDetector<T>

All Implemented Interfaces:
  TestFrameworkDetector

Direct Known Subclasses:
  JUnitDetector

    public abstract class AbstractTestFrameworkDetector<T extends TestClassVisitor>

extends java.lang.Object
implements TestFrameworkDetector

Field Summary
`protected java.util.Map<java.lang.String,java.io.File>` | `extractedJarClasses`
`protected java.util.Map<java.lang.String,java.util.Set<java.io.File>>` | `packageJarFilesMappings`
`protected java.util.List<java.io.File>` | `testClassDirectories`
`protected java.util.Set<java.lang.String>` | `testClassNames`

Constructor Summary
`protected` | `AbstractTestFrameworkDetector(java.io.File testClassesDirectory, java.util.List<java.io.File> testClasspath)`

Method Summary
`protected abstract T` | `createClassVisitor()`
`protected java.io.File` | `getSuperTestClassFile(java.lang.String superClassName)`
`java.io.File` | `getTestClassesDirectory()`
`java.util.Set<java.lang.String>` | `getTestClassNames()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.gradle.api.testing.TestFrameworkDetector
`processPossibleTestClass`

Field Detail

### testClassDirectories

    protected final java.util.List<java.io.File> testClassDirectories

### packageJarFilesMappings

    protected final java.util.Map<java.lang.String,java.util.Set<java.io.File>> packageJarFilesMappings

### extractedJarClasses

    protected final java.util.Map<java.lang.String,java.io.File> extractedJarClasses

### testClassNames

    protected final java.util.Set<java.lang.String> testClassNames

Constructor Detail

### AbstractTestFrameworkDetector

    protected AbstractTestFrameworkDetector(java.io.File testClassesDirectory,
                                            java.util.List<java.io.File> testClasspath)

Method Detail

### getTestClassesDirectory

    public java.io.File getTestClassesDirectory()

  Specified by:
    `getTestClassesDirectory` in interface `TestFrameworkDetector`

### getTestClassNames

    public java.util.Set<java.lang.String> getTestClassNames()

  Specified by:
    `getTestClassNames` in interface `TestFrameworkDetector`

### createClassVisitor

    protected abstract T createClassVisitor()

### getSuperTestClassFile

    protected java.io.File getSuperTestClassFile(java.lang.String superClassName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD